package de.privacynerd.chatbeautifier;

import org.bukkit.Sound;
import org.bukkit.entity.Player;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerJoinEvent;
import org.bukkit.event.player.PlayerQuitEvent;

public class JoinQuitListener implements Listener {

    @EventHandler
    public void onPlayerJoin(PlayerJoinEvent event) {
        Player player = event.getPlayer();

        if(player.isOp()) {
            player.setDisplayName("§4[OP] "+player.getName()+"§e");
            player.setPlayerListName(player.getDisplayName());
        } else {
            player.setDisplayName("§7"+player.getName()+"§7");
            player.setPlayerListName(player.getDisplayName());
        }

        event.setJoinMessage("§a§l>> §7"+ player.getDisplayName());
        player.playSound(player.getLocation(), Sound.AMBIENT_CRIMSON_FOREST_MOOD, 0.5f, 0.4f);
    }


    @EventHandler
    public void onPlayerQuit(PlayerQuitEvent event) {
        Player player = event.getPlayer();

        event.setQuitMessage("§c§l<< §7"+ player.getDisplayName());
    }
}
